Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026380
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POScriticalalways2014-04-25 10:342014-05-02 11:13
ReporterjecharriView Statuspublic 
Assigned Tomalsasua 
PriorityimmediateResolutionfixedFixed in VersionRR14Q3
StatusclosedFix in branchFixed in SCM revision38ef86afe2d6
ProjectionnoneETAnoneTarget VersionRR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomalsasua
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026380: It is possible to create an overpayment when you are creating a return

DescriptionIt is possible to create an overpayment when you are creating a return.
Steps To Reproduce-Login to Web POS
-Insert a line
-Press 2 and - -> the line qty=-1
-press in total and add a payment with higher amount than total
-press ok in the popup

Instead of create a payment with 2 lines (to pay the order and a write off line), the application is going to create only one line and it is going to create and overpayment and also an outstanding amount in the order.

Module script will be necessary
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0066653)
hgbot (developer)
2014-04-28 17:22

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 38ef86afe2d6763ffb371dae877a524aebc6a0b9
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Apr 28 17:22:05 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/38ef86afe2d6763ffb371dae877a524aebc6a0b9 [^]

Fixed issue 0026380: It is possible to create an overpayment when you are creating a return

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0066671)
malsasua (developer)
2014-04-29 11:05

verified
(0066762)
hgbot (developer)
2014-05-01 17:46

Repository: erp/pmods/org.openbravo.retail.posterminal.unstablenetworks
Changeset: 38ef86afe2d6763ffb371dae877a524aebc6a0b9
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Mon Apr 28 17:22:05 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/38ef86afe2d6763ffb371dae877a524aebc6a0b9 [^]

Fixed issue 0026380: It is possible to create an overpayment when you are creating a return

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0066785)
malsasua (developer)
2014-05-02 11:13

reclosed

- Issue History
Date Modified Username Field Change
2014-04-25 10:34 jecharri New Issue
2014-04-25 10:34 jecharri Assigned To => malsasua
2014-04-25 10:34 jecharri Triggers an Emergency Pack => No
2014-04-25 10:41 jecharri Steps to Reproduce Updated View Revisions
2014-04-28 17:22 hgbot Checkin
2014-04-28 17:22 hgbot Note Added: 0066653
2014-04-28 17:22 hgbot Status new => resolved
2014-04-28 17:22 hgbot Resolution open => fixed
2014-04-28 17:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/38ef86afe2d6763ffb371dae877a524aebc6a0b9 [^]
2014-04-29 11:05 malsasua Review Assigned To => malsasua
2014-04-29 11:05 malsasua Note Added: 0066671
2014-04-29 11:05 malsasua Status resolved => closed
2014-04-29 11:05 malsasua Fixed in Version => RR14Q3
2014-05-01 17:46 hgbot Checkin
2014-05-01 17:46 hgbot Note Added: 0066762
2014-05-01 17:46 hgbot Status closed => resolved
2014-05-01 17:46 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/38ef86afe2d6763ffb371dae877a524aebc6a0b9 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/38ef86afe2d6763ffb371dae877a524aebc6a0b9 [^]
2014-05-02 11:13 malsasua Note Added: 0066785
2014-05-02 11:13 malsasua Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker